---
cluster: "dcc"
form:
  - bc_num_hours
  - bc_num_slots
  - num_cpus
  - num_mem
  - num_gpus
  - custom_account
  - custom_queue
  - singularity_img
submit: submit.yml.erb
id: submitForm
name : submitForm
title: CHSI RStudio Workshop
attributes:
  custom_account:
    id: custom_account
    label: Account
    widget: select
    cacheable: false
    help: |
    <%- if CustomAccounts.accounts.blank?-%>   
      <div class="text-danger">Error while fetching Account. Please contact support!</div>
    <%- else -%>
    options:
    <%- CustomAccounts.accounts.each do |q| -%>
      - [ "<%= q %>", "<%= q %>" ]
    <%- end -%>
    <%- end -%>
    value: "hiv-r25-2023"
  custom_queue:
    id: custom_queue
    label: Partition
    widget: select
    cacheable: false
    help: |
    <%- if CustomQueues.queues.blank?-%>   
      <div class="text-danger">Error while fetching Partition. Please contact support!</div>
    <%- else -%>
      The partition you select has to allow jobs from the account you select.
    options:
    <%- CustomQueues.queues.each do |q| -%>
      - [ "<%= q %>", "<%= q %>" ]
    <%- end -%>
    <%- end -%>
    value: "chsi-high"
  bc_num_hours:
    id: bc_num_hours
    label: Walltime (Hours)
    help: |
      - Number of hours to allocate
      - Exceeding walltime time will automaticaly stop this job.
    cacheable: false
    widget: number_field
    max: 24
    min: 1
    step: 1
    value: 4
  bc_num_slots: 1
  num_cpus:
    id: num_cpus
    label: CPUs (Threads)
    help: Number of CPU threads
    cacheable: false
    widget: number_field
    max: 16
    min: 2
    step: 2
    value: 2
  num_mem:
    id: num_mem
    label: Memory (GB/Gigabytes)
    help: Total memory is available to all assigned threads!
    cacheable: false
    widget: number_field
    max: 64
    min: 2
    step: 2
    value: 2
    display: true
  num_gpus:
    id: num_gpus
    label: "GPUs"
    help: "Number of GPU or Cuda devices"
    cacheable: false
    widget: number_field
    max: 1
    min: 0
    step: 1
    value: 0
  singularity_img:
    id: singularity_img
    label: Singularity Image
    widget: select
    cacheable: false
    data-filepicker: true
    data-target-file-type: files
    data-target-file-pattern: '(.simg|.sif)$'
    data-default-directory: '/opt/apps/community/od_chsi_rstudio'
    readonly: true
    display: true
    options:
    - ['R25 HIV/AIDS Workshop', '/opt/apps/community/od_chsi_rstudio/hiv_r25_rstudio.sif']
    - ['Testing', '/opt/apps/community/od_chsi_rstudio/testing_hiv_r25_rstudio.sif']
    - ['PreMiEr', '/opt/apps/community/od_chsi_rstudio/premier_rstudio.sif']
    value: 'R25 HIV/AIDS Workshop'
